ghc-mod-5.6.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.Cradle

Synopsis

- findCradle :: (GmLog m, IOish m, GmOut m) => Programs -> m Cradle
- findCradle' :: (GmLog m, IOish m, GmOut m) => Programs -> FilePath -> m Cradle
- findCradleNoLog :: forall m. (IOish m, GmOut m) => Programs -> m Cradle
- findSpecCradle :: (GmLog m, IOish m, GmOut m) => Programs -> FilePath -> m Cradle
- cleanupCradle :: Cradle -> IO ()

# Documentation

findCradle :: (GmLog m, IOish m, GmOut m) => Programs -> m Cradle #

Finding `Cradle`. Find a cabal file by tracing ancestor directories. Find a sandbox according to a cabal sandbox config in a cabal directory.

findCradle' :: (GmLog m, IOish m, GmOut m) => Programs -> FilePath -> m Cradle #

findCradleNoLog :: forall m. (IOish m, GmOut m) => Programs -> m Cradle #

findSpecCradle :: (GmLog m, IOish m, GmOut m) => Programs -> FilePath -> m Cradle #

cleanupCradle :: Cradle -> IO () #